Name:    dsda-doom
Version: 0.29.0
Release: 1%{?dist}
Summary: Fork of PrBoom+ geared towards speedrunning
URL:     https://github.com/kraflab/dsda-doom
License: GPLv2+ and MIT and Public Domain and BSD and LGPLv2+

Source0: https://github.com/kraflab/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: dumb-devel pkgconfig(fluidsynth) pkgconfig(libpcre) pkgconfig(libpng) pkgconfig(zlib)
BuildRequires: pkgconfig(SDL2_image) pkgconfig(SDL2_mixer) pkgconfig(SDL2_net) pkgconfig(glu)
BuildRequires: pkgconfig(alsa) portmidi-devel pkgconfig(mad) pkgconfig(vorbis) pkgconfig(libzip)
BuildRequires: fluidsynth libzip-tools
BuildRequires: desktop-file-utils
%if 0%{?fedora} >= 40
BuildRequires: zlib-ng-compat-static
%endif


%description
Doom is a classic 3D shoot-em-up game.
dsda-doom is a fork of prboom+ with extra tooling for demo recording and playback, with a focus on speedrunning.
It also adds experimental support for Hexen and Heritic as well.


%prep
%setup -qn %{name}-%{version}

%build
pushd prboom2
%cmake -DCMAKE_BUILD_TYPE=Release -DDOOMWADDIR=%{_datadir}/doom
%cmake_build


%install
pushd prboom2
%cmake_install


# Already installed via license
rm %{buildroot}%{_docdir}/%{name}/COPYING


%files
%license prboom2/COPYING
%{_bindir}/*
%{_datadir}/games/doom/%{name}.wad
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*


%changelog
* Tue Mar 8 2022 Alastor Tenebris <livingnightmare@thelivingnightmare.xyz> - 0.24.2-1
- 0.24.2
